Subject: RE: Questions on unnumbered links

From: "Naidu, Venkata" <[email-masked]>
Date: Wed, 24 Oct 2001 18:07:28 -0400

Naiming:

  This is another part of the story. I did look at the below
  mentioned draft. I am totally unconvinced about the proposal
  (especially section 4.4). Please clarify some of my comments:

  * Draft limited to only 2 routers in the LAN for convenient
    simulation of P2P network. The question here is nothing to
    do with "Routing Protocols", but about "IP Forwarding".
    Just with static routing, I should be able to forward 
    packets to any of the local/remote hosts/routers reachable
    through *that* interface.

  * Section 4.4:
    Option 1: So routers send all the *data" (even destined to 
              local hosts) to the other router in the LAN?

    Option 2: Initial part of section says...
         ...
 	   For example, if link-state IGP is not
	   configured over this p2p-over-lan link, 
         ...
         
       2. MAC address gleaning. If a dynamic routing protocol is running
          between the routers connected to the link, the MAC address of
          the remote device can be taken from a data-link frame carrying
          a packet of the corresponding routing protocol.    

    Even If I assume a dynamic routing protocol between routers,
    (which is contradictory to previous statement) will it be
    OK to sneak into all the data-link frames? I think it is not
    a good idea to find data-link addresses from uninitiated ways.

    Option 3: For example, let us consider multiple routers are 
              interconnected to multiple Ethernets.

           -------------------
              |         | 
             (A)       (B)
              |         |
           -------------------
                     
    In the above scenario, Can A advertise same IP address to all
    the interfaces? Can you please explain how can you forward packets 
    if a router has multiple unnumbered links to a broadcast network?

    Option 4: Can you please describe what are the other Broadcast or
              Multicast resolution mechanisms available?

    Finally, draft reads...

		Note, however, that use of the IP unnumbered
		option for point-to-point LAN links inherits the same 
            problems as those present for serial links, i.e., not 
            being able to ping or monitor a specific interface 
            between routers.

    Can you please explain why can't we able to ping/monitor a 
    specific unnumbered interface between routers? What is 
    preventing in present IP unnumbered case?

    In any case, TE/QoS on broadcast networks (shared media) is not 
    clearly defined. Will you agree? :)

--Venkata Naidu

-> Venkata,
-> 
-> <...cut...>
->  ]
->  ]  Unnumbered Links doesn't make any sense to Ethernet 
-> (broadcast media).
-> 
-> Just a simple comment on this, unnumbered interface can also 
-> be applied
-> to broadcast media such as Ethernet if using the IGP extension of
-> p2p-over-lan. for detail please check out:
-> 
-> http://www.ietf.org/internet-drafts/draft-ietf-isis-igp-p2p-o
-> ver-lan-00.txt
-> 
-> thanks.
-> 
->  ]  If IP is running on any L2 P2P technology doesn't need a unique
->  ]  identity for each interface (but traditional IP still carries).
->  ]  More over there are no problems w.r.t PPP, ATM etc. IP 
-> unnumbered 
->  ]  has been working for years, but in MPLS TE case the 
-> unique identity 
->  ]  for links in the topology still has some ambiguous grammar!
->  ]
->  ]--Venkata Naidu
->  ]
-> 
-> - Naiming
->

---

From: Naiming Shen <[email-masked]>
Date: Wed, 24 Oct 2001 19:15:16 -0700

Venkata,

 ]Naiming:
 ]
 ]  This is another part of the story. I did look at the below
 ]  mentioned draft. I am totally unconvinced about the proposal
 ]  (especially section 4.4). Please clarify some of my comments:
 ]
 ]  * Draft limited to only 2 routers in the LAN for convenient
 ]    simulation of P2P network. The question here is nothing to
 ]    do with "Routing Protocols", but about "IP Forwarding".
 ]    Just with static routing, I should be able to forward 
 ]    packets to any of the local/remote hosts/routers reachable
 ]    through *that* interface.

yes, you can setup static routes through this interface for traffic
switching. just no one on the router knows this is a p2p interface,
and no one needs to know this info. if the configuration portion checks
only p2p can be unnumbered, yes, it needs to be told this interface
is ok to configure unnumbered by force it to be a p2p.

 ]
 ]  * Section 4.4:
 ]    Option 1: So routers send all the *data" (even destined to 
 ]              local hosts) to the other router in the LAN?

No. a simple topology:

   +-------+         +-------+    router A and B
   |   A   |a       b|   B   |    a and b are on the LAN
   |       +---------+       |    x is A's loopback addr, y is B's loopback
   |   x   |         |   y   |
   +-------+         +-------+

this option is saying to configure statically the binding of y and MAC
address of b on router A.

 ]
 ]    Option 2: Initial part of section says...
 ]         ...
 ] 	   For example, if link-state IGP is not
 ]	   configured over this p2p-over-lan link, 
 ]         ...

well, this is only one reason to use one of the four options mentioned.
not trying to say all those examples should match all the options.

 ]         
 ]       2. MAC address gleaning. If a dynamic routing protocol is running
 ]          between the routers connected to the link, the MAC address of
 ]          the remote device can be taken from a data-link frame carrying
 ]          a packet of the corresponding routing protocol.    
 ]
 ]    Even If I assume a dynamic routing protocol between routers,
 ]    (which is contradictory to previous statement)

same as the above comment.

 ]     will it be
 ]    OK to sneak into all the data-link frames? I think it is not
 ]    a good idea to find data-link addresses from uninitiated ways.

assume the ISIS is runing on the p2p-over-lan interface, the hello packets
received HAS the other side's MAC address, its just a matter of communicating
this MAC to the ARP module explicitly from ISIS module, instead of
the option 1 to statically do the binding.

 ]
 ]    Option 3: For example, let us consider multiple routers are 
 ]              interconnected to multiple Ethernets.
 ]
 ]           -------------------
 ]              |         | 
 ]             (A)       (B)
 ]              |         |
 ]           -------------------
 ]                     
 ]    In the above scenario, Can A advertise same IP address to all
 ]    the interfaces? Can you please explain how can you forward packets 
 ]    if a router has multiple unnumbered links to a broadcast network?

first of all, A does not have to unnumber to the same IP address for
both LANs, that's very simple. even if A wants to use the same address
for both LANs, B just needs to store two diff MACs for A's loopback, and
do load sharing between them, or even force both LANs to use the same
MAC to be load shared. this is not much different than the MLPPP or
ether-channel cases.

 ]
 ]    Option 4: Can you please describe what are the other Broadcast or
 ]              Multicast resolution mechanisms available?

this is basically for completeness. but if you do want to implement this,
then there is nothing wrong to have a knob under this interface, and
saying "using link broadcast for everything", upon receiving this
kind of packet, don't drop just base on its a link broadcast packet,
forward it anyway if you can.

 ]
 ]    Finally, draft reads...
 ]
 ]		Note, however, that use of the IP unnumbered
 ]		option for point-to-point LAN links inherits the same 
 ]            problems as those present for serial links, i.e., not 
 ]            being able to ping or monitor a specific interface 
 ]            between routers.
 ]
 ]    Can you please explain why can't we able to ping/monitor a 
 ]    specific unnumbered interface between routers? What is 
 ]    preventing in present IP unnumbered case?

Hmm? how can you ping an unnumbered interface of a remote router
multiple hops away? how can you be sure which path it took to reach
the router if it has more than one interface connected?

 ]
 ]    In any case, TE/QoS on broadcast networks (shared media) is not 
 ]    clearly defined. Will you agree? :)

agreed. this extension does not pretend to solve the QoS problem on the LAN
just because we call it a p2p interface:-) but if we know there is only
two routers on the LAN(not in vLAN case), which is the requirement of
p2p-over-lan, then i don't see any problem here.

i accidentally lost your other message, i recall it was a question on
how does this extension meet the rfc1812 requirements. i haven't read
the rfc1812 yet, i can't comment on this. i don't think we should follow
rfcs word by word, i cannot imagine this is the only thing we are doing
not matching this rfc exactly.

thanks.

 ]
 ]--Venkata Naidu
 ]
 ]
 ]-> Venkata,
 ]-> 
 ]-> <...cut...>
 ]->  ]
 ]->  ]  Unnumbered Links doesn't make any sense to Ethernet 
 ]-> (broadcast media).
 ]-> 
 ]-> Just a simple comment on this, unnumbered interface can also 
 ]-> be applied
 ]-> to broadcast media such as Ethernet if using the IGP extension of
 ]-> p2p-over-lan. for detail please check out:
 ]-> 
 ]-> http://www.ietf.org/internet-drafts/draft-ietf-isis-igp-p2p-o
 ]-> ver-lan-00.txt
 ]-> 
 ]-> thanks.
 ]-> 
 ]->  ]  If IP is running on any L2 P2P technology doesn't need a unique
 ]->  ]  identity for each interface (but traditional IP still carries).
 ]->  ]  More over there are no problems w.r.t PPP, ATM etc. IP 
 ]-> unnumbered 
 ]->  ]  has been working for years, but in MPLS TE case the 
 ]-> unique identity 
 ]->  ]  for links in the topology still has some ambiguous grammar!
 ]->  ]
 ]->  ]--Venkata Naidu
 ]->  ]
 ]-> 
 ]-> - Naiming
 ]-> 

- Naiming